Project JEDI - Issue Tracker
Mantis Bugtracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0002403 [JEDI VCL] 02 Installation crash always 2004-12-19 15:51 2004-12-21 03:27
Reporter anonymous View Status public  
Assigned To
Priority normal Resolution fixed  
Status resolved   Product Version 3.00 BETA 2
Summary 0002403: Installation failed
Description the installation of JVCL for D2005 failed with the following messages:
Windows XP Service Pack 1 (5.1.2600)
>>>>>>>>
MAKE Version 5.2 Copyright (c) 1987, 2000 Borland
[Generating: Templates]
MAKE Version 5.2 Copyright (c) 1987, 2000 Borland
Writing: ..\D9\dcc32.cfg
[Generating: Packages]
Generating packages for D9
    Loaded template.bdsproj
    Loaded template.dof
    Loaded template.dpk
    Loaded template.res
MAKE Version 5.2 Copyright (c) 1987, 2000 Borland
MAKE Version 5.2 Copyright (c) 1987, 2000 Borland
[Generating: Resources]
[Compiling: JvBaseEdits.res]

Fatal error could not create interface with rw32core.dll

** error 1 ** deleting ..\Resources\JvBaseEdits.res
<<<<<<<<
Before the start of the installation, JvBaseEdit.res was existing - actually needless to regenerate it.
May be I should add that I installed D2005 the win32 options only - no .NET or C# components.
Additional Information
Tags No tags attached.
Attached Files

- Relationships

-  Notes
(0005940)
AHUser (developer)
2004-12-20 03:55

Even if the file already exists, it time stamp meight be older than the source file's.
I think there is a problem with Delphi 2005. If you do not install the .NET stuff, the resource compiler is not wokring properly, or even missing (I have only the Trial at the moment, waiting for my Pro). So it could be possible that the brcc32.exe is taken from another Delphi installation and it trys to load the Delphi 2005 rw32core.dll which is incompatible.


BTW: If you do not install the Delphi.NET personality some very usefull IDE features are not available. And there is a third party (freeware) tool called Delphi 2005 Laucher which can remove the unused .NET packages for a plain Win32ONLY D2k5 environment.
(0005945)
obones (administrator)
2004-12-20 06:11

Read the threads in Borland's public newsgroups, you'll see that the resource compiler needs the .Net framework.
(0005969)
anonymous (viewer)
2004-12-21 03:17

Thank's.
After a complete install of D2005 everything works fine.

- Issue History
Date Modified Username Field Change
2004-12-19 15:51 anonymous New Issue
2004-12-20 03:55 AHUser Note Added: 0005940
2004-12-20 06:11 obones Note Added: 0005945
2004-12-21 03:17 anonymous Note Added: 0005969
2004-12-21 03:27 obones Status new => resolved
2004-12-21 03:27 obones Resolution open => fixed
2004-12-21 03:27 obones Assigned To => obones
2004-12-21 03:27 obones Assigned To obones =>


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker